NaviServer - programmable web server

[ Main Table Of Contents | Table Of Contents | Keyword Index ]

# ns_internalredirect(n) 4.99.8 naviserver "NaviServer Built-in Commands"

## Name

ns_internalredirect - Re-authorize and restart url processing

## Table Of Contents

## Synopsis

- ns_internalredirect ?url?

## Description

The "ns_internalredirect" command enables re-authorization and restart of a connection as if it where originally for a different URL. It is possible now to set new request url and re-process the request from the beginning without using external redirect. Internal redirect assigns new url and calls registered proc for new url inside the existing connection and using the same Tcl interp.

## COMMANDS

ns_internalredirect ?url?

## EXAMPLES

      if { $login } {
        ns_internalredirect /main
        return
      }

## See Also

ns_returnredirect, nsd

## Keywords

redirect